# PostAttackContactApplyStatusEffectAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostAttackContactApplyStatusEffectAbAttr

#### Hierarchy (view full)

- PostAttackApplyStatusEffectAbAttr
  - PostAttackContactApplyStatusEffectAbAttr

- Defined in src/data/ability.ts:1561

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostAttack
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostAttackContactApplyStatusEffectAbAttr(chance, ...effects): PostAttackContactApplyStatusEffectAbAttr

- #### Parameters

  - chance: number
  - `Rest` ...effects: StatusEffect []

  #### Returns PostAttackContactApplyStatusEffectAbAttr

  Overrides PostAttackApplyStatusEffectAbAttr.constructor

  - Defined in src/data/ability.ts:1562

## Properties

### showAbility

showAbility: boolean

Inherited from PostAttackApplyStatusEffectAbAttr.showAbility

- Defined in src/data/ability.ts:128

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostAttackApplyStatusEffectAbAttr.addCondition

  - Defined in src/data/ability.ts:147

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostAttackApplyStatusEffectAbAttr.apply

  - Defined in src/data/ability.ts:135

### applyPostAttack

- applyPostAttack(pokemon, passive, attacker, move, hitResult, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - attacker: default
  - move: default
  - hitResult: HitResult
  - args: any[]

  #### Returns boolean

  Inherited from PostAttackApplyStatusEffectAbAttr.applyPostAttack

  - Defined in src/data/ability.ts:1550

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostAttackApplyStatusEffectAbAttr.getCondition

  - Defined in src/data/ability.ts:143

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostAttackApplyStatusEffectAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:139